package com.liquidnet.common.cache.redis.util;

import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Component;

/**
 * @author AnJiabin <anjiabin@zhengzai.tv>
 * @version V1.0
 * @Description: TODO
 * @class: PlatformRedisUtil
 * @Package com.liquidnet.common.cache.redis.util
 * @Copyright: LightNet @ Copyright (c) 2021
 * @date 2021/10/20 18:13
 */
@Component
public class RedisDataSourceUtil {
    @Autowired
    private RedisKylinUtil redisKylinUtil;

    @Autowired
    private RedisDragonUtil redisDragonUtil;

    @Autowired
    private RedisSweetUtil redisSweetUtil;

    @Autowired
    private RedisAdamUtil redisAdamUtil;

    @Autowired
    private RedisGoblinUtil redisGoblinUtil;

    @Autowired
    private RedisCandyUtil redisCandyUtil;

    @Autowired
    private RedisGalaxyUtil redisGalaxyUtil;

    public AbstractRedisUtil getRedisKylinUtil() {
        return this.redisKylinUtil;
    }

    public AbstractRedisUtil getRedisDragonUtil() {
        return this.redisDragonUtil;
    }

    public AbstractRedisUtil getRedisSweetUtil() {
        return this.redisSweetUtil;
    }

    public AbstractRedisUtil getRedisAdamUtil() {
        return this.redisAdamUtil;
    }

    public AbstractRedisUtil getRedisStoneUtil() {
        return this.redisSweetUtil;
    }

    public AbstractRedisUtil getRedisCandyUtil() {
        return this.redisCandyUtil;
    }

    public AbstractRedisUtil getRedisGoblinUtil() {
        return this.redisGoblinUtil;
    }

    public AbstractRedisUtil getRedisGalaxyUtil(){
        return this.redisGalaxyUtil;
    }
}
